> For the complete documentation index, see [llms.txt](https://docs.postgresql.tw/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.postgresql.tw/15/the-sql-language/functions-and-operators/statistics-information-functions.md).

# 9.30. Statistics Information Functions

PostgreSQL provides a function to inspect complex statistics defined using the `CREATE STATISTICS` command.

## 9.30.1. Inspecting MCV Lists

`pg_mcv_list_items` returns a list of all items stored in a multi-column MCV list, and returns the following columns:

| Name             | Type               | Description                       |
| ---------------- | ------------------ | --------------------------------- |
| `index`          | `int`              | index of the item in the MCV list |
| `values`         | `text[]`           | values stored in the MCV item     |
| `nulls`          | `boolean[]`        | flags identifying `NULL` values   |
| `frequency`      | `double precision` | frequency of this MCV item        |
| `base_frequency` | `double precision` | base frequency of this MCV item   |

The `pg_mcv_list_items` function can be used like this:

```
SELECT m.* FROM pg_statistic_ext join pg_statistic_ext_data on (oid = stxoid),
                pg_mcv_list_items(stxdmcv) m WHERE stxname = 'stts';
```

Values of the `pg_mcv_list` can be obtained only from the `pg_statistic_ext_data.stxdmcv` column.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.postgresql.tw/15/the-sql-language/functions-and-operators/statistics-information-functions.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
